> For the complete documentation index, see [llms.txt](https://docs.motus.org/sensorgnome/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.motus.org/sensorgnome/v1/appendix/fcdfirmware.md).

# Reflash FUNcube dongle firmware

{% hint style="danger" %}
You are viewing the V1 Legacy SensorGnome user guide. This software has not been updated since 2018.
{% endhint %}

## Introduction

FUNcube Dongles are a component used in [SensorGnomes](https://sensorgnome.org/) and [CTT SensorStations](https://celltracktech.com/) for listening to tags developed by [Lotek Wireless](https://lotek.com/). They were originally developed as a teaching tool for satellite communications and have been repurposed for many custom radio projects.

The firmware loaded onto the FUNcube Dongles by default is incompatible with the SensorGnome software. Differences in hardware and plugin frame rates result in odd behaviour that often goes uncaught. Sometimes it will take a minute or two before this can be seen on the SensorGnome Web Interface. The image below shows FUNcubes with the wrong firmware tuned to the incorrect frequency.

Here I will explain how to correct this problem by reimaging the FUNcube dongle.

This guide is a simplified form of [the guide provided on the FUNcubed dongle website](http://www.funcubedongle.com/MyImages/FCDFirmwareUpdateGuide.pdf).

![](/files/-MhE4ogASFt5NlhP4wM2)

*FUNcube Dongles tuned to the wrong frequency (left; ports 1 and 2) compared to after they were fixed (right).*

## Supplies

* FUNcube Dongle Pro Plus.
* Laptop or desktop computer.

## Downloads

{% file src="/files/tRBZl5APXtKX7cvLIHjG" %}
Frequency control program
{% endfile %}

{% file src="/files/8HYPbhtU2zTFIbdWmt81" %}
Bootloader
{% endfile %}

{% file src="/files/YqobCZWVPtP2bEV18jPa" %}
Firmware
{% endfile %}

## Steps

1. Download and unzip the above software.
2. Plug the FUNcube dongle in and run the **frequency control program**.
3. You should see something like this:

   ![](/files/-MhE3nYhyfAvq_onOtpU)
4. Click on **‘Switch to bootloader’**. You should get an error in the box, but ignore it and just close the program.

   ![](/files/-MhE3nYi_9rVTjxr3j8a)
5. Open the bootloader program you downloaded and unzipped previously. You should see the following text acknowledging the FUNcube dongle has been recognized:

   ![](/files/-MhE3nYjLJv4WRqXQmmL)
6. Click ‘**Open file**’ and select the FUNcube dongle firmware you downloaded previously.
7. Click ‘**Write firmware’.** The program may freeze for a moment as firmware is being written.
8. Once complete, you should see the following message:\
   ![](/files/-MhE3nYk2XPZwGurDjqa)
9. Click ‘**Exit**’ and unplug the FUNcube dongle from your computer.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.motus.org/sensorgnome/v1/appendix/fcdfirmware.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
